# Migration Guide 1.x.x to 2.x.x

- Change `Google` prefix to `G`.

    On this release, all widget prefix become shorter.

    before:
    ``` dart
    GoogleButton(
        "Button",
        onPressed: () {},
    ),
    ```

    after:
    ``` dart
    GButton(
        "Button",
        onPressed: () {},
    ),
    ```

- Change default text color of `GSectionTitle` to primary.

- Change `label` property of `GSwitch` to `title`.

- Change `label` property of `GSelectBoxItem` to `title`.

- Change `onPressed` property of `GDialog` to onConfirm

- Change visual of `GAppBar` and `GSearchAppBar`
    Make `shadowColor` more softer and change `title` font weight to `normal` from `600`.

- Remove `GoogleColorUtil`.

- Remove `GoogleTheme`.

- Remove `GoogleCalendar`.

- Remove `GoogleBottomBar`.

- Remove `GIconButton`, use `IconButton` instead.

- Remove `onEditingComplete` and `onFieldSubmitted` from `GTextFormField`.

- Remove all color property from `GAppBar` and `GSearchAppBar`, you can still change the color by overriding `GThemeGenerator` with `copyWith`.

- Remove `index` property from `GGroupedDrawer`

    On 1.x.x we need to set the current page index manually by using `IconButton` on `actions`, now we just need to use `Icon` on `actions` and `GGroupedDrawer` will automatically wrap the `Icon` with `IconButton` and change page index on pressed. 

    before:
    ``` dart
    GGroupedDrawer(
      isEnd: isEnd,
      index: drawerIndex,
      actions: [
        IconButton(
          onPressed: () {
            setState(() { drawerIndex = 0; });
          }
          child: Icon(Icons.add),
        ),
        IconButton(
          onPressed: () {
            setState(() { drawerIndex = 1; });
          }
          child: Icon(Icons.add),
        ),
      ],
      children: const [
        Text("Page 1"),
        Text("Page 2"),
      ],
    );
    ```

    after:
    ``` dart
    GGroupedDrawer(
      isEnd: isEnd,
      actions: [
        Icon(Icons.add),
        Icon(Icons.add)
      ],
      children: const [
        Text("Page 1"),
        Text("Page 2"),
      ],
    );
    ```